Support » Plugin: Mailchimp for WooCommerce » API Request Error – cURL error 35

  • Resolved JohnCleary

    (@johncleary)


    Hi. I’ve installed Mailchimp for WooCommerce and I don’t seem to be able to connect to my account. When I paste the API and Save changes I get the following error:

    Mailchimp says: API Request Error – cURL error 35: error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure

    I’ve tried un-installing and re-installing the plugin, I’ve also created a new API Key to check that it’s not the key. Neither of these attempts fixed the issue.

    I’ve checked with my host and they’re not blocking Mailchimp API requests.

    The cURL version is 7.59, WP is 5.0.3, PHP is 7.1

Viewing 4 replies - 1 through 4 (of 4 total)
  • FYI I realised from reading other threads here that it might be the CloudFlare service causing the issue.

    I can confirm that by switching off CloudFlare the API Request error disappeared. What I don’t know now is whether I can safely switch CloudFlare back on?

    Hi John,

    I checked for any reported issues on the cloudflarestatus.com site, and there was an API issue that has been fixed as of three days ago.

    You should be able to switch CloudFlare back on.

    Thanks Kristen 🙂

    I paused Cloudflare and also deactivated it and am still receiving the same error:

    Mailchimp says: API Request Error – cURL error 35: error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure

    Do I need to also remove any A or CNAME records too?

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘API Request Error – cURL error 35’ is closed to new replies.